Ubuntu Security Notice USN-4611-1

==========================================================================
Ubuntu Security Notice USN-4611-1
November 02, 2020

samba vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

– Ubuntu 20.10
– Ubuntu 20.04 LTS
– Ubuntu 18.04 LTS
– Ubuntu 16.04 LTS

Summary:

Several security issues were fixed in Samba.

Software Description:
– samba: SMB/CIFS file, print, and login server for Unix

Details:

Steven French discovered that Samba incorrectly handled ChangeNotify
permissions. A remote attacker could possibly use this issue to obtain file
name information. (CVE-2020-14318)

Bas Alberts discovered that Samba incorrectly handled certain winbind
requests. A remote attacker could possibly use this issue to cause winbind
to crash, resulting in a denial of service. (CVE-2020-14323)

Francis Brosnan Blázquez discovered that Samba incorrectly handled certain
invalid DNS records. A remote attacker could possibly use this issue to
cause the DNS server to crash, resulting in a denial of service.
(CVE-2020-14383)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 20.10:
samba 2:4.12.5+dfsg-3ubuntu4.1

Ubuntu 20.04 LTS:
samba 2:4.11.6+dfsg-0ubuntu1.6

Ubuntu 18.04 LTS:
samba 2:4.7.6+dfsg~ubuntu-0ubuntu2.21

Ubuntu 16.04 LTS:
samba 2:4.3.11+dfsg-0ubuntu0.16.04.32

In general, a standard system update will make all the necessary changes.

References:
https://usn.ubuntu.com/4611-1
CVE-2020-14318, CVE-2020-14323, CVE-2020-14383

Package Information:
https://launchpad.net/ubuntu/+source/samba/2:4.12.5+dfsg-3ubuntu4.1
https://launchpad.net/ubuntu/+source/samba/2:4.11.6+dfsg-0ubuntu1.6
https://launchpad.net/ubuntu/+source/samba/2:4.7.6+dfsg~ubuntu-0ubuntu2.21
https://launchpad.net/ubuntu/+source/samba/2:4.3.11+dfsg-0ubuntu0.16.04.32